STRUCT IRQ_CHIP_REGS(9)

NAME
struct_irq_chip_regs - register offsets for struct irq_gci

SYNOPSIS

struct irq_chip_regs {
  unsigned long enable;
  unsigned long disable;
  unsigned long mask;
  unsigned long ack;
  unsigned long eoi;
  unsigned long type;
  unsigned long polarity;
};

MEMBERS

enable
    Enable register offset to reg_base

disable
    Disable register offset to reg_base

mask
    Mask register offset to reg_base

ack
    Ack register offset to reg_base

eoi
    Eoi register offset to reg_base

type
    Type configuration register offset to reg_base

polarity
    Polarity configuration register offset to reg_base

AUTHORS

Thomas Gleixner <tglx@linutronix.de>
    Author.

Ingo Molnar <mingo@elte.hu>
    Author.

COPYRIGHT